[Overview][Types][Procedures and functions][Index] | Reference for unit 'GraphMath' (#lcl)

# RadialPoint

Get the RadialPoint at any given Eccentric angle on any non-rotated ellipse

## Declaration

Source position: graphmath.pp line 94

`function RadialPoint(`
`EccentricAngle: Extended;`
`Rect: TRect`
`):TPoint;`

## Description

Method: RadialPoint

    Params:   EccentricAngle, Rect
      Returns:  TPoint

      Use RadialPoint to get the Radial-Point at any given Eccentric( aka Radial )
      angle on any non-rotated ellipse. It is primarily for use in Angles2Coords.
      The EccentricAngle is in 1/16th of a degree. For example, a full circle
      equals 5760 (16*360).  Zero degrees is at the 3 o'clock position.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.